#define _USE_MATH_DEFINES
#include<iostream>
#include<cmath>
using namespace std;

double calc_surface(double r);
double calc_surface(double r, double h);
double calc_surface(double r, double h, double extra);

double calc_volume(double r);
double calc_volume(double r, double h);
double calc_volume(double r, double h, double extra);

int main() {
	char ans;
	do {
		cout << "What is your shape? (S)sphere (C)Cylinder (K)Cone: ";
		cin >> ans;
	} while (ans != 'S' && ans != 'C' && ans != 'K');

	double radius = 0, height = 0, surface = 0, volume = 0;
	switch (ans) {
	case 'S':
		cout << "Enter the radious: ";
		cin >> radius;
		surface = calc_surface(radius);
		volume = calc_volume(radius);
		cout << "For the given Sphere:\n";
		break;
	case 'C':
		cout << "Enter the radious: ";
		cin >> radius;
		cout << "Enter the height: ";
		cin >> height;
		surface = calc_surface(radius, height);
		volume = calc_volume(radius, height);
		cout << "For the given Cylinder:\n";
		break;
	case 'K':
		cout << "Enter the radious: ";
		cin >> radius;
		cout << "Enter the height: ";
		cin >> height;
		surface = calc_surface(radius, height, 0);
		volume = calc_volume(radius, height, 0);
		cout << "For the given Cone:\n";
		break;
	}
	cout << "Surface is " << surface << endl << "Volume is " << volume << endl;
	return 0;
}

double calc_surface(double r) {
	return 4 * M_PI * pow(r,4);
}

double calc_surface(double r, double h) {
	return 2 * 3.14 * r * (h + r);
}

double calc_surface(double r, double h, double extra) {
	return 3.14 * r * sqrt(pow(r,2) + pow(h,2) + r);
}

double calc_volume(double r) {
	return 4 * 3.14 * pow(r,3) / 3;
}

double calc_volume(double r, double h) {
	return 3.14 * pow(r,2) * h;
}

double calc_volume(double r, double h, double extra) {
	return 3.14 * pow(r,2) * h / 3;
}